PipeWire: proxy.c File Reference

PipeWire 0.3.34

Macros | Functions
proxy.c File Reference

## Macros
#define | NAME "proxy"

## Functions
int | pw_proxy_init (struct pw_proxy *proxy, const char *type, uint32_t version)
struct pw_proxy * | pw_proxy_new (struct pw_proxy *factory, const char *type, uint32_t version, size_t user_data_size)
| Create a proxy object with a given id and type. More...
int | pw_proxy_install_marshal (struct pw_proxy *this, bool implementor)
| Install a marshal function on a proxy. More...
void * | pw_proxy_get_user_data (struct pw_proxy *proxy)
| Get the user_data. More...
uint32_t | pw_proxy_get_id (struct pw_proxy *proxy)
| Get the local id of the proxy. More...
int | pw_proxy_set_bound_id (struct pw_proxy *proxy, uint32_t global_id)
| Set the global id this proxy is bound to. More...
uint32_t | pw_proxy_get_bound_id (struct pw_proxy *proxy)
| Get the global id bound to this proxy of SPA_ID_INVALID when not bound to a global. More...
const char * | pw_proxy_get_type (struct pw_proxy *proxy, uint32_t *version)
| Get the type and version of the proxy. More...
struct pw_core * | pw_proxy_get_core (struct pw_proxy *proxy)
struct pw_protocol * | pw_proxy_get_protocol (struct pw_proxy *proxy)
| Get the protocol used for the proxy. More...
void | pw_proxy_add_listener (struct pw_proxy *proxy, struct spa_hook *listener, const struct pw_proxy_events *events, void *data)
| Add an event listener to proxy. More...
void | pw_proxy_add_object_listener (struct pw_proxy *proxy, struct spa_hook *listener, const void *funcs, void *data)
| Add a listener for the events received from the remote object. More...
void | pw_proxy_destroy (struct pw_proxy *proxy)
| Destroy a proxy object. More...
void | pw_proxy_remove (struct pw_proxy *proxy)
| called when cleaning up or when the server removed the resource. More...
void | pw_proxy_unref (struct pw_proxy *proxy)
void | pw_proxy_ref (struct pw_proxy *proxy)
int | pw_proxy_sync (struct pw_proxy *proxy, int seq)
| Generate an sync method for a proxy. More...
int | pw_proxy_errorf (struct pw_proxy *proxy, int res, const char *error,...)
int | pw_proxy_error (struct pw_proxy *proxy, int res, const char *error)
| Generate an error for a proxy. More...
struct spa_hook_list * | pw_proxy_get_object_listeners (struct pw_proxy *proxy)
| Get the listener of proxy. More...
const struct pw_protocol_marshal * | pw_proxy_get_marshal (struct pw_proxy *proxy)
| Get the marshal functions for the proxy. More...

## Macro Definition Documentation

## ◆ NAME

#define NAME "proxy"

## Function Documentation

## ◆ pw_proxy_errorf()

int pw_proxy_errorf | ( | struct pw_proxy * | proxy,
|  | int | res,
|  | const char * | error,
|  |  | ...
| ) |  |

## ◆ pw_proxy_get_core()

struct pw_core* pw_proxy_get_core | ( | struct pw_proxy * | proxy | ) |

## ◆ pw_proxy_init()

int pw_proxy_init | ( | struct pw_proxy * | proxy,
|  | const char * | type,
|  | uint32_t | version
| ) |  |

References SPA_ID_INVALID.

Referenced by pw_proxy_new().

## ◆ pw_proxy_ref()

void pw_proxy_ref | ( | struct pw_proxy * | proxy | ) |

## ◆ pw_proxy_remove()

void pw_proxy_remove | ( | struct pw_proxy * | proxy | ) |

called when cleaning up or when the server removed the resource.

Can be called multiple times

References NAME, and pw_log_debug.

Referenced by pw_core_disconnect().

## ◆ pw_proxy_unref()

void pw_proxy_unref | ( | struct pw_proxy * | proxy | ) |

client must explicitly destroy all proxies

References NAME, and pw_log_debug.